%define name	qmmp-plugins
%define version	0.9.0
%define release	%mkrel 1
%define summary	Plugins for Qmmp

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	%{summary}
Summary(de):	Erweiterungen für Qmmp
Source0:	qmmp-plugin-pack-%{version}.tar.xz
License:	GPLv2+
Group:		Sound
Url:		http://qmmp.ylsoftware.com/plugins.php
BuildRoot:	%{_tmppath}/qmmp-plugin-pack-%{version}-%{release}-buildroot
BuildRequires:	qmmp-devel
BuildRequires:	taglib-devel
BuildRequires:	%{_lib}mpg123-devel
BuildRequires:	cmake
BuildRequires:	yasm
BuildRequires:	qt4-devel

%description
This package contains plugins for Qmmp.

%description -l de
Dieses Paket enthält Erweiterungen für Qmmp.

%package -n %{name}-mpg123
Group:		Sound
Summary:	Qmmp plugin which uses libmpg123 for decoding of MPEG v1/2 layer1/2/3 files
Summary(de):	Qmmp Erweiterung, welche libmpg123 für die Dekodierung von MPEG v1/2 Layer 1/2/3 Dateien nutzt.
Requires:	qmmp >= %{version}

%description -n %{name}-mpg123
Qmmp plugin which uses libmpg123 for decoding of MPEG v1/2 layer1/2/3 files

%description -n %{name}-mpg123 -l de
Qmmp Erweiterung, welche libmpg123 für die Dekodierung von MPEG v1/2 Layer 1/2/3 Dateien nutzt.

%package -n %{name}-ffap
Group:		Sound
Summary:	Enhanced Monkey's Audio (APE) decoder (24-bit samples and embedded cue support)
Summary(de):	Verbesserter Monkey Audio (APE) Dekoder (24-bit Samples und integrierte CUE Unterstützung)
Requires:	qmmp >= %{version}

%description -n %{name}-ffap
Enhanced Monkey's Audio (APE) decoder (24-bit samples and embedded cue support)

%description -n %{name}-ffap -l de
Verbesserter Monkey Audio (APE) Dekoder (24-bit Samples und integrierte CUE Unterstützung)

%prep
%setup -qn qmmp-plugin-pack-%version

%build

%cmake
%make %{?_smp_mflags}

%install
rm -rf %{buildroot}
pushd build
%makeinstall_std
popd
%clean
rm -rf %{buildroot}

%files -n %{name}-mpg123
%defattr(0644,root,root,0755)
%{_libdir}/qmmp/Input/libmpg123.so

%files -n %{name}-ffap
%defattr(0644,root,root,0755)
%{_libdir}/qmmp/Input/libffap.so

%changelog
* Wed Sep 23 2015 ghostbunny <ghostbunny at gmx dot de> 0.9.0-1pclos2015
- 0.9.0
- remove simple-ui plugin, it is now part of the main package

* Wed Jun 24 2015 ghostbunny <ghostbunny at gmx dot de> 0.8.4-1pclos2015
- 0.8.4

* Sun Jan 05 2015 bb <bb> 0.8.3-1pclos2015
- update

* Mon Oct 20 2014 ghostbunny <ghostbunny at gmx dot de> 0.8.2-1pclos2014
- 0.8.2

* Fri Aug 08 2014 ghostbunny <ghostbunny at gmx dot de> 0.8.1-1pclos2014
- 0.8.1

